## prelude-option-wide

prelude-option-wide

## Functions

int | prelude_option_push_request ()
int | prelude_option_new_request ()
int | prelude_option_process_request ()
int | prelude_option_recv_reply ()

## Types and Values

#define | PRELUDE_OPTION_REPLY_TYPE_SET
#define | PRELUDE_OPTION_REPLY_TYPE_GET
#define | PRELUDE_OPTION_REPLY_TYPE_LIST
#define | PRELUDE_OPTION_REPLY_TYPE_ERROR

## Description

## Functions

### prelude_option_push_request ()

    int
    prelude_option_push_request (prelude_msgbuf_t *msg,
                                 int type,
                                 const char *request);

### prelude_option_new_request ()

    int
    prelude_option_new_request (prelude_msgbuf_t *msgbuf,
                                uint32_t request_id,
                                uint64_t *target_id,
                                size_t size);

### prelude_option_process_request ()

    int
    prelude_option_process_request (prelude_client_t *client,
                                    prelude_msg_t *msg,
                                    prelude_msgbuf_t *reply);

### prelude_option_recv_reply ()

    int
    prelude_option_recv_reply (prelude_msg_t *msg,
                               uint64_t *source_id,
                               uint32_t *request_id,
                               void **value);

## Types and Values

### PRELUDE_OPTION_REPLY_TYPE_SET

    #define PRELUDE_OPTION_REPLY_TYPE_SET   0x01

### PRELUDE_OPTION_REPLY_TYPE_GET

    #define PRELUDE_OPTION_REPLY_TYPE_GET   0x02

### PRELUDE_OPTION_REPLY_TYPE_LIST

    #define PRELUDE_OPTION_REPLY_TYPE_LIST  0x04

### PRELUDE_OPTION_REPLY_TYPE_ERROR

    #define PRELUDE_OPTION_REPLY_TYPE_ERROR 0x08